net.dontdrinkandroot.wicket.behavior.aria

## Enum Aria

- java.lang.Object
- - java.lang.Enum<Aria>
  - - net.dontdrinkandroot.wicket.behavior.aria.Aria

All Implemented Interfaces:
  Serializable, Comparable<Aria>

    public enum Aria
    extends Enum<Aria>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ACTIVEDESCENDANT`
`ATOMIC`
`AUTOCOMPLETE`
`BUSY`
`CHECKED`
`CONTROLS`
`DESCIBEDBY`
`DISABLED`
`DROPEFFECT`
`EXPANDED`
`FLOWTO`
`GRABBED`
`HASPOPUP`
`HIDDEN`
`INVALID`
`LABEL`
`LABELLEDBY`
`LEVEL`
`LIVE`
`MULTILINE`
`MULTISELECTABLE`
`ORIENTATION`
`OWNS`
`POSINSET`
`PRESSET`
`READONLY`
`RELEVANT`
`REQUIRED`
`SELECTED`
`SETSIZE`
`SORT`
`TEXT`
`VALUEMAX`
`VALUEMIN`
`VALUENOW`

### Method Summary

Methods
`String` `getAttribute()`
`boolean` `isWithState()`
`static Aria` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Aria[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ACTIVEDESCENDANT

    public static final Aria ACTIVEDESCENDANT

#### ATOMIC

    public static final Aria ATOMIC

#### AUTOCOMPLETE

    public static final Aria AUTOCOMPLETE

#### BUSY

    public static final Aria BUSY

#### CHECKED

    public static final Aria CHECKED

#### CONTROLS

    public static final Aria CONTROLS

#### DESCIBEDBY

    public static final Aria DESCIBEDBY

#### DISABLED

    public static final Aria DISABLED

#### DROPEFFECT

    public static final Aria DROPEFFECT

#### EXPANDED

    public static final Aria EXPANDED

#### FLOWTO

    public static final Aria FLOWTO

#### GRABBED

    public static final Aria GRABBED

#### HASPOPUP

    public static final Aria HASPOPUP

#### HIDDEN

    public static final Aria HIDDEN

#### INVALID

    public static final Aria INVALID

#### LABEL

    public static final Aria LABEL

#### LABELLEDBY

    public static final Aria LABELLEDBY

#### LEVEL

    public static final Aria LEVEL

#### LIVE

    public static final Aria LIVE

#### MULTILINE

    public static final Aria MULTILINE

#### MULTISELECTABLE

    public static final Aria MULTISELECTABLE

#### ORIENTATION

    public static final Aria ORIENTATION

#### OWNS

    public static final Aria OWNS

#### POSINSET

    public static final Aria POSINSET

#### PRESSET

    public static final Aria PRESSET

#### READONLY

    public static final Aria READONLY

#### RELEVANT

    public static final Aria RELEVANT

#### REQUIRED

    public static final Aria REQUIRED

#### SELECTED

    public static final Aria SELECTED

#### SETSIZE

    public static final Aria SETSIZE

#### SORT

    public static final Aria SORT

#### VALUEMAX

    public static final Aria VALUEMAX

#### VALUEMIN

    public static final Aria VALUEMIN

#### VALUENOW

    public static final Aria VALUENOW

#### TEXT

    public static final Aria TEXT

### Method Detail

#### values

    public static Aria[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Aria c : Aria.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Aria valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getAttribute

    public String getAttribute()

#### isWithState

    public boolean isWithState()